Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(42)

Issue 2053343003: [Mac] Fix Issue to Exit Fullscreen (Closed)

Created:
3 years ago by spqchan
Modified:
3 years ago
Reviewers:
erikchen, ccameron
CC:
chromium-reviews
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

[Mac] Fix Issue to Exit Fullscreen Ensure that the browser exits fullscreen if toggleFullscreen was called during the transition to fullscreen. BUG=579934 Committed: https://crrev.com/104e5ad762f4d2fcf04a33ff8471d77d7b8678bb Cr-Commit-Position: refs/heads/master@{#399506}

Patch Set 1 #

Total comments: 2

Patch Set 2 : #

Patch Set 3 : rebased #

Unified diffs Side-by-side diffs Delta from patch set Stats (+18 lines, -0 lines) Patch
M chrome/browser/ui/cocoa/browser_window_controller.h View 1 chunk +4 lines, -0 lines 0 comments Download
M chrome/browser/ui/cocoa/browser_window_controller_private.mm View 1 2 2 chunks +14 lines, -0 lines 0 comments Download

Messages

Total messages: 23 (9 generated)
spqchan
PTAL
3 years ago (2016-06-10 20:46:32 UTC) #3
erikchen
https://codereview.chromium.org/2053343003/diff/1/chrome/browser/ui/cocoa/browser_window_controller_private.mm File chrome/browser/ui/cocoa/browser_window_controller_private.mm (right): https://codereview.chromium.org/2053343003/diff/1/chrome/browser/ui/cocoa/browser_window_controller_private.mm#newcode765 chrome/browser/ui/cocoa/browser_window_controller_private.mm:765: if (shouldExitAfterEnteringFullscreen_) Don't you need to unset shouldExitAfterEnteringFullscreen_?
3 years ago (2016-06-10 20:54:23 UTC) #4
spqchan
PTAL https://codereview.chromium.org/2053343003/diff/1/chrome/browser/ui/cocoa/browser_window_controller_private.mm File chrome/browser/ui/cocoa/browser_window_controller_private.mm (right): https://codereview.chromium.org/2053343003/diff/1/chrome/browser/ui/cocoa/browser_window_controller_private.mm#newcode765 chrome/browser/ui/cocoa/browser_window_controller_private.mm:765: if (shouldExitAfterEnteringFullscreen_) On 2016/06/10 20:54:23, erikchen wrote: > ...
3 years ago (2016-06-10 21:27:32 UTC) #5
erikchen
lgtm
3 years ago (2016-06-10 21:29:54 UTC) #6
spqchan
+avi for OWNERS
3 years ago (2016-06-10 21:38:59 UTC) #7
spqchan
+ccameron for OWNERS
3 years ago (2016-06-13 17:12:36 UTC) #9
ccameron
OWNERS lgtm
3 years ago (2016-06-13 17:20:17 UTC) #10
spqchan
thanks!
3 years ago (2016-06-13 17:21:10 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2053343003/20001
3 years ago (2016-06-13 17:21:33 UTC) #13
commit-bot: I haz the power
Try jobs failed on following builders: ios-simulator on tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/ios-simulator/builds/20260) ios-simulator-gn on tryserver.chromium.mac (JOB_FAILED, ...
3 years ago (2016-06-13 17:24:28 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2053343003/40001
3 years ago (2016-06-13 18:46:30 UTC) #18
commit-bot: I haz the power
Committed patchset #3 (id:40001)
3 years ago (2016-06-13 19:39:22 UTC) #20
commit-bot: I haz the power
CQ bit was unchecked
3 years ago (2016-06-13 19:39:25 UTC) #21
commit-bot: I haz the power
3 years ago (2016-06-13 19:41:24 UTC) #23
Message was sent while issue was closed.
Patchset 3 (id:??) landed as
https://crrev.com/104e5ad762f4d2fcf04a33ff8471d77d7b8678bb
Cr-Commit-Position: refs/heads/master@{#399506}

Powered by Google App Engine
This is Rietveld 408576698